org.apache.maven.scm.plugin

## Class ExportMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo
    - - org.apache.maven.scm.plugin.ExportMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class ExportMojo
    extends AbstractScmMojo

Get a fresh exported copy of the latest source from the configured scm url.

Version:
  $Id: ExportMojo.java 733500 2009-01-11 19:38:26Z dantran $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ExportMojo()`

### Method Summary

Methods
`void` `execute()`
`protected void` `export()`
`protected File` `getExportDirectory()`
`void` `setExportDirectory(File exportDirectory)`

### Methods inherited from class org.apache.maven.scm.plugin.AbstractScmMojo

`checkResult, getConnectionUrl, getExcludes, getFileSet, getIncludes, getScmManager, getScmRepository, getScmVersion, getWorkingDirectory, setConnectionType, setConnectionUrl, setExcludes, setIncludes, setWorkingDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportMojo

    public ExportMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `AbstractScmMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getExportDirectory

    protected File getExportDirectory()

#### setExportDirectory

    public void setExportDirectory(File exportDirectory)

#### export

    protected void export()
                   throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`